# $Revision: 1.46 $, $Date: 2012/03/16 14:10:23 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_without	apidocs		# documentation generated with doxygen
#
Summary:	Library to decrypt CSS-encoded DVD
Summary(pl.UTF-8):	Biblioteka do dekodowania DVD zakodowanych CSS
Name:		libdvdcss
Version:	1.2.12
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://download.videolan.org/pub/videolan/libdvdcss/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	2218a193900e3203aa10dc24cdf54275
Patch0:		%{name}-doc.patch
URL:		http://www.videolan.org/developers/libdvdcss.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	texlive-fonts-cmsuper
BuildRequires:	texlive-fonts-jknappen
BuildRequires:	texlive-latex
BuildRequires:	texlive-latex-extend
BuildRequires:	texlive-latex-psnfss
BuildRequires:	texlive-makeindex
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdvdcss is a simple library designed for accessing DVDs like a block
device without having to bother about the decryption.

%description -l pl.UTF-8
Biblioteka dostarczająca prosty interfejs pozwalający na dostęp do
zakodowanych płyt DVD.

%package devel
Summary:	libdvdcss library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdvdcss
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the libraries, include files and other resources you can use
to incorporate libdvdcss into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja pozwalająca na dodawanie obsługi
CSS w swoich programach.

%package static
Summary:	libdvdcss static libraries
Summary(pl.UTF-8):	Statyczne biblioteki libdvdcss
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libdvdcss libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libdvdcss.

%package apidocs
Summary:	libdvdcss API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libdvdcss
Group:		Documentation

%description apidocs
libdvdcss API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libdvdcss.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_apidocs:--disable-doc} \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libdvdcss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdvdcss.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdvdcss.so
%{_libdir}/libdvdcss.la
%{_includedir}/dvdcss
%{_pkgconfigdir}/libdvdcss.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdvdcss.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdvdcss.spec,v $
Revision 1.46  2012/03/16 14:10:23  qboosh
- updated URL

Revision 1.45  2012/03/16 14:09:01  qboosh
- updated to 1.2.12

Revision 1.44  2011/01/24 02:11:40  sparky
- apidocs BR: texlive-latex-extend, texlive-latex-psnfss

Revision 1.43  2010/06/05 14:31:42  sls
- BR: texlive-fonts-cmsuper

Revision 1.42  2010/06/05 08:14:07  sls
- added apidocs subpackage and bcond

Revision 1.41  2008/08/31 10:41:31  qboosh
- GPL v2+

Revision 1.40  2008/08/31 00:35:00  charles
- updated License

Revision 1.39  2008/08/31 00:27:34  charles
- updated to 1.2.10

Revision 1.38  2008/08/18 12:14:19  megabajt
- added -doc.patch to fix build
- more verbose files
- release 3

Revision 1.37  2008/07/27 22:19:59  arekm
- release 2

Revision 1.36  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.35  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.33  2006/03/22 00:31:47  pluto
- BR: tetex-makeindex.

Revision 1.32  2006/03/21 22:00:57  qboosh
- autoheader, ac version

Revision 1.31  2006/03/21 21:58:21  qboosh
- strict internal deps

Revision 1.30  2006/03/21 16:37:19  djurban
- updated to 1.2.9

Revision 1.29  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.28  2005/06/15 19:42:29  witekfl
- run automake
- added bcond_without static_libs

Revision 1.27  2003/08/20 15:33:34  qboosh
- no // in paths, other cosmetics

Revision 1.26  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/07/30 07:22:18  adamg
- updated to 1.2.8

Revision 1.24  2003/06/23 18:30:08  misi3k
- updated to 1.2.7

Revision 1.23  2003/05/28 12:59:27  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/03/11 11:46:20  wiget
- up to 1.2.6

Revision 1.20  2003/02/14 12:19:38  wiget
- updated to 1.2.5

Revision 1.19  2002/11/25 14:16:51  ankry
- massive attack: no need for 755 for *.la

Revision 1.18  2002/10/09 09:08:19  qboosh
- BR: libtool

Revision 1.17  2002/06/24 16:44:41  kloczek
- more macros.

Revision 1.16  2002/06/24 16:35:36  baggins
- updated to 1.2.1

Revision 1.15  2002/06/20 20:41:43  kloczek
- release 2: rebuild in new environment nad use new %doc.

Revision 1.14  2002/05/21 23:13:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/04/06 17:54:50  qboosh
- removed soname symlink, better descriptions, cosmetics

Revision 1.12  2002/04/06 10:27:10  pioklo
-updatedto 1.1.1

Revision 1.11  2002/04/05 16:41:31  grzegol
- fixed Source0

Revision 1.10  2002/04/04 12:50:46  pioklo
- updated to 1.1.0 ,STBR

Revision 1.9  2002/03/29 21:38:27  pioklo
- updated to 1.0.0

Revision 1.8  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/02 20:21:19  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.6  2002/02/01 14:50:30  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.5  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/18 17:36:29  gotar
- cosmetics.

Revision 1.3  2001/10/03 16:42:14  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.2  2001/09/20 01:05:10  kloczek
- added regenerate ac files.

Revision 1.1  2001/09/19 16:54:34  jajcus
- new spec
